gi-gtk-3.0.43: Gtk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.TextTagTable

Contents

- Exported types
- Methods
  - add
  - foreach
  - getSize
  - lookup
  - new
  - remove
- Signals
  - tagAdded
  - tagChanged
  - tagRemoved

Description

You may wish to begin by reading the text widget conceptual overview which gives an overview of all the objects and data types related to the text widget and how they work together.

# GtkTextTagTables as GtkBuildable

The GtkTextTagTable implementation of the GtkBuildable interface supports adding tags by specifying “tag” as the “type” attribute of a `<child>` element.

An example of a UI definition fragment specifying tags:

### xml code

    <object class="GtkTextTagTable">
     <child type="tag">
       <object class="GtkTextTag"/>
     </child>
    </object>

Synopsis

- newtype TextTagTable = TextTagTable (ManagedPtr TextTagTable)
- class (GObject o, IsDescendantOf TextTagTable o) => IsTextTagTable o
- toTextTagTable :: (MonadIO m, IsTextTagTable o) => o -> m TextTagTable
- textTagTableAdd :: (HasCallStack, MonadIO m, IsTextTagTable a, IsTextTag b) => a -> b -> m Bool
- textTagTableForeach :: (HasCallStack, MonadIO m, IsTextTagTable a) => a -> TextTagTableForeach -> m ()
- textTagTableGetSize :: (HasCallStack, MonadIO m, IsTextTagTable a) => a -> m Int32
- textTagTableLookup :: (HasCallStack, MonadIO m, IsTextTagTable a) => a -> Text -> m (Maybe TextTag)
- textTagTableNew :: (HasCallStack, MonadIO m) => m TextTagTable
- textTagTableRemove :: (HasCallStack, MonadIO m, IsTextTagTable a, IsTextTag b) => a -> b -> m ()
- type TextTagTableTagAddedCallback = TextTag -> IO ()
- afterTextTagTableTagAdded :: (IsTextTagTable a, MonadIO m) => a -> ((?self :: a) => TextTagTableTagAddedCallback) -> m SignalHandlerId
- onTextTagTableTagAdded :: (IsTextTagTable a, MonadIO m) => a -> ((?self :: a) => TextTagTableTagAddedCallback) -> m SignalHandlerId
- type TextTagTableTagChangedCallback = TextTag -> Bool -> IO ()
- afterTextTagTableTagChanged :: (IsTextTagTable a, MonadIO m) => a -> ((?self :: a) => TextTagTableTagChangedCallback) -> m SignalHandlerId
- onTextTagTableTagChanged :: (IsTextTagTable a, MonadIO m) => a -> ((?self :: a) => TextTagTableTagChangedCallback) -> m SignalHandlerId
- type TextTagTableTagRemovedCallback = TextTag -> IO ()
- afterTextTagTableTagRemoved :: (IsTextTagTable a, MonadIO m) => a -> ((?self :: a) => TextTagTableTagRemovedCallback) -> m SignalHandlerId
- onTextTagTableTagRemoved :: (IsTextTagTable a, MonadIO m) => a -> ((?self :: a) => TextTagTableTagRemovedCallback) -> m SignalHandlerId

# Exported types

newtype TextTagTable Source #

Memory-managed wrapper type.

Constructors

TextTagTable (ManagedPtr TextTagTable) |

#### Instances

Instances details

Eq TextTagTable Source # |
Instance details Defined in GI.Gtk.Objects.TextTagTable Methods (==) :: TextTagTable -> TextTagTable -> Bool Source # (/=) :: TextTagTable -> TextTagTable -> Bool Source #
GObject TextTagTable Source # |
Instance details Defined in GI.Gtk.Objects.TextTagTable
ManagedPtrNewtype TextTagTable Source # |
Instance details Defined in GI.Gtk.Objects.TextTagTable Methods toManagedPtr :: TextTagTable -> ManagedPtr TextTagTable Source #
TypedObject TextTagTable Source # |
Instance details Defined in GI.Gtk.Objects.TextTagTable Methods glibType :: IO GType Source #
HasParentTypes TextTagTable Source # |
Instance details Defined in GI.Gtk.Objects.TextTagTable
IsGValue (Maybe TextTagTable) Source # | Convert `TextTagTable` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.TextTagTable Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe TextTagTable -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe TextTagTable) Source #
type ParentTypes TextTagTable Source # |
Instance details Defined in GI.Gtk.Objects.TextTagTable type ParentTypes TextTagTable = '[Object, Buildable]

class (GObject o, IsDescendantOf TextTagTable o) => IsTextTagTable o Source #

Type class for types which can be safely cast to `TextTagTable`, for instance with `toTextTagTable`.

#### Instances

Instances details

(GObject o, IsDescendantOf TextTagTable o) => IsTextTagTable o Source # |
Instance details Defined in GI.Gtk.Objects.TextTagTable

toTextTagTable :: (MonadIO m, IsTextTagTable o) => o -> m TextTagTable Source #

Cast to `TextTagTable`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

add, addChild, bindProperty, bindPropertyFull, constructChild, customFinished, customTagEnd, customTagStart, forceFloating, foreach, freezeNotify, getv, isFloating, lookup, notify, notifyByPspec, parserFinished, ref, refSink, remove, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getData, getInternalChild, getName, getProperty, getQdata, getSize.

#### Setters

setBuildableProperty, setData, setDataFull, setName, setProperty.

## add

textTagTableAdd Source #

Arguments

:: (HasCallStack, MonadIO m, IsTextTagTable a, IsTextTag b) |
=> a | `table`: a `TextTagTable`
-> b | `tag`: a `TextTag`
-> m Bool | Returns: `True` on success.

Add a tag to the table. The tag is assigned the highest priority in the table.

`tag` must not be in a tag table already, and may not have the same name as an already-added tag.

## foreach

textTagTableForeach Source #

Arguments

:: (HasCallStack, MonadIO m, IsTextTagTable a) |
=> a | `table`: a `TextTagTable`
-> TextTagTableForeach | `func`: a function to call on each tag
-> m () |

Calls `func` on each tag in `table`, with user data `data`. Note that the table may not be modified while iterating over it (you can’t add/remove tags).

## getSize

textTagTableGetSize Source #

Arguments

:: (HasCallStack, MonadIO m, IsTextTagTable a) |
=> a | `table`: a `TextTagTable`
-> m Int32 | Returns: number of tags in `table`

Returns the size of the table (number of tags)

## lookup

textTagTableLookup Source #

Arguments

:: (HasCallStack, MonadIO m, IsTextTagTable a) |
=> a | `table`: a `TextTagTable`
-> Text | `name`: name of a tag
-> m (Maybe TextTag) | Returns: The tag, or `Nothing` if none by that name is in the table.

Look up a named tag.

## new

textTagTableNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m TextTagTable | Returns: a new `TextTagTable`

Creates a new `TextTagTable`. The table contains no tags by default.

## remove

textTagTableRemove Source #

Arguments

:: (HasCallStack, MonadIO m, IsTextTagTable a, IsTextTag b) |
=> a | `table`: a `TextTagTable`
-> b | `tag`: a `TextTag`
-> m () |

Remove a tag from the table. If a `TextBuffer` has `table` as its tag table, the tag is removed from the buffer. The table’s reference to the tag is removed, so the tag will end up destroyed if you don’t have a reference to it.

# Signals

## tagAdded

type TextTagTableTagAddedCallback Source #

Arguments

= TextTag | `tag`: the added tag.
-> IO () |

No description available in the introspection data.

afterTextTagTableTagAdded :: (IsTextTagTable a, MonadIO m) => a -> ((?self :: a) => TextTagTableTagAddedCallback) -> m SignalHandlerId Source #

Connect a signal handler for the tagAdded signal, to be run after the default handler. When overloading is enabled, this is equivalent to

    after textTagTable #tagAdded callback

By default the object invoking the signal is not passed to the callback. If you need to access it, you can use the implit `?self` parameter. Note that this requires activating the `ImplicitParams` GHC extension.

onTextTagTableTagAdded :: (IsTextTagTable a, MonadIO m) => a -> ((?self :: a) => TextTagTableTagAddedCallback) -> m SignalHandlerId Source #

Connect a signal handler for the tagAdded signal, to be run before the default handler. When overloading is enabled, this is equivalent to

    on textTagTable #tagAdded callback

## tagChanged

type TextTagTableTagChangedCallback Source #

Arguments

= TextTag | `tag`: the changed tag.
-> Bool | `sizeChanged`: whether the change affects the `TextView` layout.
-> IO () |

No description available in the introspection data.

afterTextTagTableTagChanged :: (IsTextTagTable a, MonadIO m) => a -> ((?self :: a) => TextTagTableTagChangedCallback) -> m SignalHandlerId Source #

Connect a signal handler for the tagChanged signal, to be run after the default handler. When overloading is enabled, this is equivalent to

    after textTagTable #tagChanged callback

By default the object invoking the signal is not passed to the callback. If you need to access it, you can use the implit `?self` parameter. Note that this requires activating the `ImplicitParams` GHC extension.

onTextTagTableTagChanged :: (IsTextTagTable a, MonadIO m) => a -> ((?self :: a) => TextTagTableTagChangedCallback) -> m SignalHandlerId Source #

Connect a signal handler for the tagChanged signal, to be run before the default handler. When overloading is enabled, this is equivalent to

    on textTagTable #tagChanged callback

## tagRemoved

type TextTagTableTagRemovedCallback Source #

Arguments

= TextTag | `tag`: the removed tag.
-> IO () |

No description available in the introspection data.

afterTextTagTableTagRemoved :: (IsTextTagTable a, MonadIO m) => a -> ((?self :: a) => TextTagTableTagRemovedCallback) -> m SignalHandlerId Source #

Connect a signal handler for the tagRemoved signal, to be run after the default handler. When overloading is enabled, this is equivalent to

    after textTagTable #tagRemoved callback

By default the object invoking the signal is not passed to the callback. If you need to access it, you can use the implit `?self` parameter. Note that this requires activating the `ImplicitParams` GHC extension.

onTextTagTableTagRemoved :: (IsTextTagTable a, MonadIO m) => a -> ((?self :: a) => TextTagTableTagRemovedCallback) -> m SignalHandlerId Source #

Connect a signal handler for the tagRemoved signal, to be run before the default handler. When overloading is enabled, this is equivalent to

    on textTagTable #tagRemoved callback